
Foreman - Bug #2231

Hostgroup deletion follows adoption policy

02/20/2013 06:20 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category:    

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Given a hostgroup hierarchy like:

/base

/base/test01

/base/test01/test02

/base/test01/test03

Currently, if /base/test01 is deleted, it leads to a clunky configuration

/base

/test02

/test03

This change makes a hostgroup adopt orphans so that removing test01 would lead to:

/base

/base/test02

/base/test03

https://github.com/theforeman/foreman/pull/419

Associated revisions

Revision 8c68024a - 01/17/2014 12:09 PM - Daniel Lobato Garcia

fixes #2231 - hostgroup deletion is restricted to hostgroups without children

Revision 107e0ff8 - 01/20/2014 07:09 PM - Daniel Lobato Garcia

fixes #2231 - hostgroup deletion is restricted to hostgroups without children

(cherry picked from commit 8c68024ac619121312680ee8afc467857155e71d)

History

#1 - 10/02/2013 02:51 PM - Daniel Lobato Garcia

- Description updated

Given a hostgroup hierarchy like:

/base

/base/test01

/base/test01/test02

/base/test01/test03

Currently, if /base/test01 is deleted, it leads to a clunky configuration

/base

/test02
/test03

In addition to that, it might lead to having several hostgroups with the same name:

/base

/test/base

If test is deleted, we would end up with

/base

/base

This change restricts hostgroup deletion only to hostgroups who have no children so that the problems above can be avoided.

https://github.com/theforeman/foreman/pull/924

#2 - 10/02/2013 03:22 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.4.0

#3 - 10/16/2013 03:37 PM - Greg Sutcliffe

- Target version deleted (1.4.0)

#4 - 10/17/2013 12:10 PM - Dominic Cleal

- Target version set to 1.15.0

#5 - 11/12/2013 12:04 PM - Dominic Cleal

- Target version changed from 1.15.0 to 1.10.0

#6 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3

#7 - 01/09/2014 02:13 PM - Anonymous

- Target version changed from 1.9.3 to 1.9.2

#8 - 01/17/2014 12:09 PM - Dominic Cleal

- Assignee set to Daniel Lobato Garcia

- translation missing: en.field_release set to 2

#9 - 01/17/2014 12:31 PM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8c68024ac619121312680ee8afc467857155e71d.
